dest:={{ domain_environment_link_name }}

db_files:=$(wildcard *.db)
db_file:={{ database_file_name }}
signed_file:={{ database_signed_file_name }}

all:: ${dest}/${signed_file}

${dest}/${db_file}.unchecked: ${db_files}
	cat $^ > "$@";

${dest}/${db_file}: ${dest}/${db_file}.unchecked
	named-compilezone -o "$@" {{ domain | quote }} "$<";

${dest}/${signed_file}: ${dest}/${db_file}
	if [[ "$(dir $<)" != "$(dir $@)" ]]; then echo "directories not equal" > /dev/stderr; exit 1; fi
	cd "$(dir $@)"; \
	dnssec-signzone \
		-3 $$(head -c 1000 /dev/urandom | sha1sum | cut -b 1-16) \
		-a \
		-N unixtime \
		-o {{ domain | quote }} \
		-f "$(notdir $@)" \
		"$(notdir $<)";
